Subject: Re: OpenGL with mingw32
From: [email-masked] (Paul Garceau)

16 Aug 1998 12:05:35 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked]

Greetings,

On 13 Aug 98, at 15:00, the Illustrious Cliff Lee wrote:

> I thought that might be the problem with something screwy in the way I
> compiled mesa, but with MS OpenGL and SGI OpenGL, the DLLs are already
> pre-compiled. I assume that at least the MS OpenGL that comes with
> Win95/98 is not a debug version.

	In fact, it is.  OpenGL didn't exist for Win95/98 until the time 
that MS announced Win98.  The SGI set is likely still your best bet 
and can be assumed, for the most part, as useable by a Gnu-
Win32 compiler such as Cygwin32 or Gnu-Win32 GCC2.8.1.

	If you are using Cygwin, you don't need to worry about the 
..dlls because you can use (via the shell) the very latest SGI Unix 
SDK...Cygwin (& possibly EGCS).  In Unix-Win32 mode, as far as 
I know, you can interpret the Unix libs/headers and generate Win32 
code for as long as there is a copy of the SGI version (OpenGl and 
Glu) of the Win32 .dlls on your system somewhere.

> Besides, when I use "dlltool", doesn't
> --dllname specify the name of the DLL that will be used?
> 
> Thanks for the suggestion though. I'll try again with mesa, making sure I
> get a release version. Unfortunately, even if it works, I don't think it
> will help with my other problem. That is, getting the error message
> "linked to missing export GLU32.DLL:_gluPerspective." Hey, I just noticed
> this, but why is this error message specifying GLU32.DLL, not GLU32D.DLL?

	In fact, GLU32.dll is the MS designation.  I am not sure what 
the GLU32D is, since SGI calls their Win32 'Glu' dll simply, 
"glu.dll".

	You can get the SGI glu.dll from www.OpenGL.org (glu).  If 
you want the SGI 1.1 OpenGL SDK (includes SGI and MS versions 
of the standard OpenGL dlls; includes glu)

	I encourage anyone to use the SGI set as that is a more 
complete API set than is the MS API set.  The Unix SGI SDK set 
is the only SGI supplied OpenGL yet available for Unix/Linux Gnu 
C/C++.

	If you wanted the SGI OpenGL SDK for Win32 (1.1 for NT4 & 
Win95) I still have a freely re-distributable copy at ftp.teleport.com 
/pub/users/~pgarceau (caveat: be sure to specify this directory, 
otherwise you'll have to wade through about 25,000 ftp spaces.)

	Be aware, if you aren't already, that SGI signed a contract 
with MS to give MS sole redistribution and supply of any version of 
OpenGL v1.2 SDK (or later) for Win32.  This occurred just prior to 
the MS announcement of Win98.  At the announcment of NT5, MS 
and SGI were negotiating the contract.

	As I recall, the SDK I have at my ftp site is useable with 
Mingw32 and/or Gnu C/C++ 2.8.1.  You can get the Gnu2.8.1 
version from:

 http://agnes.dida.physik.uniessen.de/~janjaap/mingw32/index.html

or via ftp from:

ftp.agnes.dida.physik.uni-essen.de/home/janjaap/mingw32/binaries/

	Peace,

		Paul G.

Information Systems Consultant
NewDawn Productions
http://www.teleport.com/~pgarceau/newdawn/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".